# Uses of Interface
org.eclipse.emf.cdo.session.remote.CDORemoteSession

Packages that use CDORemoteSession
Package
Description
org.eclipse.emf.cdo.session.remote
Client concepts for the communication and collaboration with other sessions.
org.eclipse.emf.cdo.ui
Reusable UI components specific to the CDO Model Repository.
org.eclipse.emf.spi.cdo
Client service provider interfaces and useful base implementations.

## Uses of CDORemoteSession in org.eclipse.emf.cdo.session.remote

Methods in org.eclipse.emf.cdo.session.remote that return CDORemoteSession
Modifier and Type
Method
Description
`CDORemoteSession`
CDORemoteSessionEvent.`getRemoteSession()`
`CDORemoteSession`
CDORemoteTopicEvent.`getRemoteSession()`
Returns the remote session that caused this event, i.e., the sender.
`CDORemoteSession[]`
CDORemoteSessionManager.`getRemoteSessions()`
Returns the set of `remote sessions` that are connected to the same repository as the `local session`.
`CDORemoteSession[]`
CDORemoteTopic.`getRemoteSessions()`
Returns an array of the `remote sessions` that participate in this topic.
Methods in org.eclipse.emf.cdo.session.remote that return types with arguments of type CDORemoteSession
Modifier and Type
Method
Description
`Set<CDORemoteSession>`
CDORemoteSessionManager.`sendMessage(CDORemoteSessionMessage message, Collection<CDORemoteSession> recipients)`
Same as `CDORemoteSessionManager.sendMessage(CDORemoteSessionMessage, CDORemoteSession...)` but with a recipients `collection`.
`Set<CDORemoteSession>`
CDORemoteSessionManager.`sendMessage(CDORemoteSessionMessage message, CDORemoteSession... recipients)`
Sends a multicast message to the subscribed recipients.
`Set<CDORemoteSession>`
CDORemoteTopic.`sendMessage(CDORemoteSessionMessage message)`
Sends the given `message` to all subscribed `remote sessions`.
Methods in org.eclipse.emf.cdo.session.remote with parameters of type CDORemoteSession
Modifier and Type
Method
Description
`protected abstract byte[]`
CDORemoteSessionRequest.GlobalRequestHandler.`createResponse(CDORemoteSession sender, byte[] request)`
`protected abstract byte[]`
CDORemoteSessionRequest.RequestHandler.`handleRequest(CDORemoteSession sender, byte[] request)`
`protected final void`
CDORemoteSessionManager.EventAdapter.`onAdded(org.eclipse.net4j.util.container.IContainer<CDORemoteSession> container, CDORemoteSession element)`
`protected void`
CDORemoteSessionManager.EventAdapter.`onClosed(CDORemoteSession remoteSession)`
Called if the local session is `subscribed` and a remote session to the same repository as the local session was closed.
`protected void`
CDORemoteSessionManager.EventAdapter.`onMessageReceived(CDORemoteSession remoteSession, CDORemoteSessionMessage message)`
Called if the local session is `subscribed` and a remote session has `sent` custom data to the local session.
`protected void`
CDORemoteSessionManager.EventAdapter.`onOpened(CDORemoteSession remoteSession)`
Called if the local session is `subscribed` and a new remote session was opened to the same repository as the local session.
`protected final void`
CDORemoteSessionManager.EventAdapter.`onRemoved(org.eclipse.net4j.util.container.IContainer<CDORemoteSession> container, CDORemoteSession element)`
`protected void`
CDORemoteSessionManager.EventAdapter.`onSubscribed(CDORemoteSession remoteSession)`
Called if the local session is `subscribed` and a remote session `subscribed` to the same repository as the local session.
`protected void`
CDORemoteSessionManager.EventAdapter.`onUnsubscribed(CDORemoteSession remoteSession)`
Called if the local session is `subscribed` and a remote session `unsubscribed` from the same repository as the local session.
`void`
CDORemoteSessionRequest.`send(CDORemoteSession recipient)`
`Set<CDORemoteSession>`
CDORemoteSessionManager.`sendMessage(CDORemoteSessionMessage message, CDORemoteSession... recipients)`
Sends a multicast message to the subscribed recipients.
`void`
CDORemoteSessionRequest.`sendSynchronous(CDORemoteSession recipient)`
Method parameters in org.eclipse.emf.cdo.session.remote with type arguments of type CDORemoteSession
Modifier and Type
Method
Description
`protected final void`
CDORemoteSessionManager.EventAdapter.`onAdded(org.eclipse.net4j.util.container.IContainer<CDORemoteSession> container, CDORemoteSession element)`
`protected final void`
CDORemoteSessionManager.EventAdapter.`onRemoved(org.eclipse.net4j.util.container.IContainer<CDORemoteSession> container, CDORemoteSession element)`
`Set<CDORemoteSession>`
CDORemoteSessionManager.`sendMessage(CDORemoteSessionMessage message, Collection<CDORemoteSession> recipients)`
Same as `CDORemoteSessionManager.sendMessage(CDORemoteSessionMessage, CDORemoteSession...)` but with a recipients `collection`.

## Uses of CDORemoteSession in org.eclipse.emf.cdo.ui

Methods in org.eclipse.emf.cdo.ui that return CDORemoteSession
Modifier and Type
Method
Description
`CDORemoteSession`
UserInfo.Manager.UserChangedEvent.`getRemoteSession()`
Methods in org.eclipse.emf.cdo.ui with parameters of type CDORemoteSession
Modifier and Type
Method
Description
`UserInfo`
UserInfo.Manager.`getRemoteUser(CDORemoteSession remoteSession)`
Constructors in org.eclipse.emf.cdo.ui with parameters of type CDORemoteSession
Modifier
Constructor
Description
`protected`
`UserChangedEvent(CDORemoteSession remoteSession, UserInfo userInfo)`

## Uses of CDORemoteSession in org.eclipse.emf.spi.cdo

Subinterfaces of CDORemoteSession in org.eclipse.emf.spi.cdo
Modifier and Type
Interface
Description
`interface`
`InternalCDORemoteSession`
If the meaning of this type isn't clear, there really should be more of a description here...
Methods in org.eclipse.emf.spi.cdo that return types with arguments of type CDORemoteSession
Modifier and Type
Method
Description
`List<CDORemoteSession>`
CDOSessionProtocol.`getRemoteSessions(InternalCDORemoteSessionManager manager, boolean subscribe)`
Method parameters in org.eclipse.emf.spi.cdo with type arguments of type CDORemoteSession
Modifier and Type
Method
Description
`Set<Integer>`
CDOSessionProtocol.`sendRemoteMessage(CDORemoteSessionMessage message, List<CDORemoteSession> recipients)`
Deprecated.
As of 4.8 use `CDOSessionProtocol.sendRemoteMessage(CDORemoteSessionMessage, CDORemoteTopic, List)`.
`Set<Integer>`
CDOSessionProtocol.`sendRemoteMessage(CDORemoteSessionMessage message, CDORemoteTopic topic, List<CDORemoteSession> recipients)`